Error: "A patching engine error has occurred" or "update failed" when updating Quicken for Windows

Quicken for Windows
Quicken for Windows 2014
Quicken for Windows 2015
Quicken for Windows 2016
Quicken for Windows 2017

When updating Quicken to the latest patch release, you may receive this error message. There are a few different things that can cause this error, but it can easily be resolved by installing the Mondo patch for your version of Quicken.

To resolve this issue:

  1. Go to this FAQ: Updates and Release Notes for Quicken
  2. Click on the link for your version and year of Quicken
  3. Click on "How to use the Mondo Patch" and follow the instructions

Your version of Quicken is now updated to the latest release.

 

Search Support:

Search form

Tip: To find out which version of Quicken you are using, open Quicken go to Help menu and select About Quicken.